Vaults - Delete
刪除指定的 Azure 金鑰保存庫。
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.KeyVault/vaults/{vaultName}?api-version=2024-11-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
保存庫所屬資源群組的名稱。 |
|
subscription
|
path | True |
string |
可唯一識別Microsoft Azure 訂用帳戶的訂用帳戶認證。 訂用帳戶標識碼會形成每個服務呼叫 URI 的一部分。 |
|
vault
|
path | True |
string |
要刪除的保存庫名稱 |
|
api-version
|
query | True |
string |
用戶端 API 版本。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
好的回應。 |
|
| 204 No Content |
沒有內容。 |
|
| Other Status Codes |
說明作業為何失敗的錯誤回應。 |
範例
Delete a vault
範例要求
DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sample-resource-group/providers/Microsoft.KeyVault/vaults/sample-vault?api-version=2024-11-01
範例回覆
定義
| 名稱 | Description |
|---|---|
|
Cloud |
來自 Key Vault 資源提供者的錯誤回應 |
|
Cloud |
來自 Key Vault 資源提供者的錯誤回應 |
CloudError
來自 Key Vault 資源提供者的錯誤回應
| 名稱 | 類型 | Description |
|---|---|---|
| error |
來自 Key Vault 資源提供者的錯誤回應 |
CloudErrorBody
來自 Key Vault 資源提供者的錯誤回應
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
錯誤碼。 這是可以透過程式設計方式使用的助記詞。 |
| message |
string |
使用者友善的錯誤訊息。 訊息通常是本地化的,可能會因服務版本而異。 |